<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{515FB61F-F032-4A48-8F32-93B59B9D37F8}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>IronIntel.Contractor</RootNamespace>
    <AssemblyName>iicontractorbl</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <SignAssembly>false</SignAssembly>
  </PropertyGroup>
  <PropertyGroup>
    <AssemblyOriginatorKeyFile>LHBIS.snk</AssemblyOriginatorKeyFile>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="DocumentFormat.OpenXml">
      <HintPath>..\Reflib\DocumentFormat.OpenXml.dll</HintPath>
    </Reference>
    <Reference Include="FICBLC">
      <HintPath>..\Reflib\FIC\FICBLC.dll</HintPath>
    </Reference>
    <Reference Include="FICIntf">
      <HintPath>..\Reflib\FIC\FICIntf.dll</HintPath>
    </Reference>
    <Reference Include="FIChartLib">
      <HintPath>..\Reflib\FIC\FIChartLib.dll</HintPath>
    </Reference>
    <Reference Include="FICIntfAdv, Version=5.0.0.0, Culture=neutral, PublicKeyToken=b006d6021b5c4397, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Reflib\FIC\FICIntfAdv.dll</HintPath>
    </Reference>
    <Reference Include="FICModels">
      <HintPath>..\Reflib\FIC\FICModels.dll</HintPath>
    </Reference>
    <Reference Include="FICore">
      <HintPath>..\Reflib\FICore.dll</HintPath>
    </Reference>
    <Reference Include="FICore.std, Version=1.0.0.0, Culture=neutral, PublicKeyToken=1c0ebbbf33888075, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Reflib\FICore.std.dll</HintPath>
    </Reference>
    <Reference Include="FICoreDbCreator">
      <HintPath>..\Reflib\FICoreDbCreator.dll</HintPath>
    </Reference>
    <Reference Include="FIWinLib">
      <HintPath>..\Reflib\FIWinLib.dll</HintPath>
    </Reference>
    <Reference Include="Foresight.Service.Client">
      <HintPath>..\Reflib\Foresight.Service.Client.dll</HintPath>
    </Reference>
    <Reference Include="Foresight.ServiceModel">
      <HintPath>..\Reflib\Foresight.ServiceModel.dll</HintPath>
    </Reference>
    <Reference Include="irondbobjlib">
      <HintPath>..\Reflib\irondbobjlib.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json">
      <HintPath>..\Reflib\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data.SqlClient, Version=4.6.1.1, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Data.SqlClient.4.8.1\lib\net461\System.Data.SqlClient.dll</HintPath>
      <SpecificVersion>False</SpecificVersion>
    </Reference>
    <Reference Include="System.Drawing" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.IO.Compression.FileSystem" />
    <Reference Include="System.IO.Compression.ZipFile, Version=4.0.2.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\System.IO.Compression.ZipFile.4.3.0\lib\net46\System.IO.Compression.ZipFile.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Numerics" />
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
    <Reference Include="WindowsBase" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AttachmentsManagement.cs" />
    <Compile Include="BusinessBase.cs" />
    <Compile Include="CacheManager.cs" />
    <Compile Include="ExportExcel\ImportFromExcel.cs" />
    <Compile Include="FICSpecialGolbalFilterManager.cs" />
    <Compile Include="InspectionManager.cs" />
    <Compile Include="ExportExcelManager.cs" />
    <Compile Include="ExportExcel\ConvertFormat.cs" />
    <Compile Include="ExportExcel\ExcelXlsx.cs" />
    <Compile Include="ExportExcel\ExportToExcel.cs" />
    <Compile Include="ExportExcel\IOpenXmlExcelStyleAndData.cs" />
    <Compile Include="ExportExcel\XlsxObj.cs" />
    <Compile Include="FICExtDataTable\AssetTripsDataTable.cs" />
    <Compile Include="FICExtDataTable\FleetExtDataTable.cs" />
    <Compile Include="FITracker\FITrackerManagement.cs" />
    <Compile Include="FleetServiceClientHelper.cs" />
    <Compile Include="Host\ClientModels.cs" />
    <Compile Include="Host\Common.cs" />
    <Compile Include="Contact\ContactInfo.cs" />
    <Compile Include="Contact\ContactManagement.cs" />
    <Compile Include="Helper.cs" />
    <Compile Include="Host\HostRequesEntry.cs" />
    <Compile Include="Host\HostService.cs" />
    <Compile Include="iisitebase\IronIntelBasePage.cs">
      <SubType>ASPXCodeBehind</SubType>
    </Compile>
    <Compile Include="iisitebase\IronIntelHttpHandlerBase.cs" />
    <Compile Include="MachineDetailWorkspace.cs" />
    <Compile Include="Machines\FuelusedInfo.cs" />
    <Compile Include="Machines\IdlehoursInfo.cs" />
    <Compile Include="Machines\LocationInfo.cs" />
    <Compile Include="Machines\MachineItem.cs" />
    <Compile Include="Machines\MachineManagement.cs" />
    <Compile Include="Machines\MachineRentalInfo.cs" />
    <Compile Include="Machines\EngineHoursInfo.cs" />
    <Compile Include="Machines\OdometerInfo.cs" />
    <Compile Include="Maintenance\AlertInfo.cs" />
    <Compile Include="Maintenance\AlertManager.cs" />
    <Compile Include="Maintenance\AlertQueryParams.cs" />
    <Compile Include="Maintenance\FuelRecordInfo.cs" />
    <Compile Include="Maintenance\IATCAlertsSyncService.cs" />
    <Compile Include="Maintenance\MaintenanceInfo.cs" />
    <Compile Include="Maintenance\MaintenanceManagement.cs" />
    <Compile Include="Maintenance\SegmentInfo.cs" />
    <Compile Include="Maintenance\WorkOrderInfo.cs" />
    <Compile Include="Maintenance\WorkOrderManager.cs" />
    <Compile Include="MapView\AssetMapViewManagement.cs" />
    <Compile Include="MapView\AssetViewItems.cs" />
    <Compile Include="OTRConfig\HarshDrivingItem.cs" />
    <Compile Include="OTRConfig\HarshDrivingManagement.cs" />
    <Compile Include="OTRConfig\SpeedingItem.cs" />
    <Compile Include="Security\CurfewMovementToleranceInfo.cs" />
    <Compile Include="Security\JobsiteLimitInfo.cs" />
    <Compile Include="Security\JobsiteLimitManagement.cs" />
    <Compile Include="Shape\MapPoint.cs" />
    <Compile Include="Shape\ShapeFileParser.cs" />
    <Compile Include="Users\AppModuleInfo.cs" />
    <Compile Include="Users\AppModulesManagement.cs" />
    <Compile Include="FilterQ\FilterQManagememt.cs" />
    <Compile Include="FilterQ\MachineTasksNotificationInfo.cs" />
    <Compile Include="IIColor.cs" />
    <Compile Include="IronintelHost.cs" />
    <Compile Include="JobSites\JobSitesManagement.cs" />
    <Compile Include="MapView\MachineStateInfo.cs" />
    <Compile Include="MapView\MapViewer.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="SystemParams.cs" />
    <Compile Include="Users\Acl.cs" />
    <Compile Include="Users\UserGroupInfo.cs" />
    <Compile Include="Users\UserInfo.cs" />
    <Compile Include="Users\UserManagement.cs" />
    <Compile Include="Users\UserParams.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config">
      <SubType>Designer</SubType>
    </None>
    <None Include="LHBIS.snk" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Connected Services\" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\..\ForesightServices\Service\DataModel\FleetClientBase\FleetClientBase.csproj">
      <Project>{b0110465-8537-4fe7-bee6-b10faa0ba92d}</Project>
      <Name>FleetClientBase</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\ForesightServices\Service\DataModel\FleetServiceClient\FleetServiceClient.csproj">
      <Project>{a872b915-d7f0-4e7f-81e7-742dbb4dbbba}</Project>
      <Name>FleetServiceClient</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PostBuildEvent>copy "$(TargetFileName)" "$(ProjectDir)\..\Site\Bin\$(TargetFileName)"</PostBuildEvent>
  </PropertyGroup>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>